### Name: shrinkcat.stat
### Title: Correlation-Adjusted t Score
### Aliases: shrinkcat.stat shrinkcat.fun
### Keywords: univar

### ** Examples

# load st library 
library("st")

# prostate data set
data(singh2002)
X = singh2002$x
L = singh2002$y

dim(X)      # 102 6033 
length(L)   # 102

# shrinkage cat statistic
## Not run: 
##D score = shrinkcat.stat(X, L)
##D idx = order(abs(score), decreasing=TRUE)
##D idx[1:10]
##D # 610  364 1720 3647 3375  332 3282 3991 1557  914
##D 
##D # compute q-values and local false discovery rates
##D library("fdrtool")
##D fdr.out = fdrtool(as.vector(score))
##D sum(fdr.out$qval < 0.05)
##D sum(fdr.out$lfdr < 0.2)
## End(Not run)

# compared with:

# shrinkage t statistic 
score = shrinkt.stat(X, L)
idx = order(abs(score), decreasing=TRUE)
idx[1:10]
# 610 1720 3940  914  364  332 3647 4331  579 1068

# Student t statistic
score = studentt.stat(X, L)
idx = order(abs(score), decreasing=TRUE)
idx[1:10]
# 610 1720  364  332  914 3940 4546 1068  579 4331

# difference of means ("Fold Change")
score = diffmean.stat(X, L)
idx = order(abs(score), decreasing=TRUE)
idx[1:10]
# 735  610  694  298  698  292  739 3940  702  721



